wxDataViewModelNotifier Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxDataViewModelNotifier Class Referenceabstract
Class List by Category » wxDataViewCtrl Related Classes

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/dataview.h>`

## Detailed Description

A wxDataViewModelNotifier instance is owned by a wxDataViewModel and mirrors its notification interface.

See the documentation of that class for further information.

##

Library: wxCore
Category: wxDataViewCtrl Related Classes

## Public Member Functions
| wxDataViewModelNotifier ()
| Constructor.
virtual | ~wxDataViewModelNotifier ()
| Destructor.
virtual bool | Cleared ()=0
| Called by owning model.
wxDataViewModel * | GetOwner () const
| Get owning wxDataViewModel.
virtual bool | ItemAdded (const wxDataViewItem &parent, const wxDataViewItem &item)=0
| Called by owning model.
virtual bool | ItemChanged (const wxDataViewItem &item)=0
| Called by owning model.
virtual bool | ItemDeleted (const wxDataViewItem &parent, const wxDataViewItem &item)=0
| Called by owning model.
virtual bool | ItemsAdded (const wxDataViewItem &parent, const wxDataViewItemArray &items)
| Called by owning model.
virtual bool | ItemsChanged (const wxDataViewItemArray &items)
| Called by owning model.
virtual bool | ItemsDeleted (const wxDataViewItem &parent, const wxDataViewItemArray &items)
| Called by owning model.
virtual void | Resort ()=0
| Called by owning model.
void | SetOwner (wxDataViewModel *owner)
| Set owner of this notifier.
virtual bool | ValueChanged (const wxDataViewItem &item, unsigned int col)=0
| Called by owning model.

## Constructor & Destructor Documentation

## ◆ wxDataViewModelNotifier()

wxDataViewModelNotifier::wxDataViewModelNotifier | ( |  | ) |

Constructor.

## ◆ ~wxDataViewModelNotifier()

virtual wxDataViewModelNotifier::~wxDataViewModelNotifier | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ Cleared()

virtual bool wxDataViewModelNotifier::Cleared | ( |  | ) |
| pure virtual

Called by owning model.

## ◆ GetOwner()

wxDataViewModel * wxDataViewModelNotifier::GetOwner | ( |  | ) | const

Get owning wxDataViewModel.

## ◆ ItemAdded()

virtual bool wxDataViewModelNotifier::ItemAdded | ( | const wxDataViewItem & | parent,
|  | const wxDataViewItem & | item )
| pure virtual

Called by owning model.

Returns
  Always return true from this function in derived classes.

## ◆ ItemChanged()

virtual bool wxDataViewModelNotifier::ItemChanged | ( | const wxDataViewItem & | item | ) |
| pure virtual

Called by owning model.

Returns
  Always return true from this function in derived classes.

## ◆ ItemDeleted()

virtual bool wxDataViewModelNotifier::ItemDeleted | ( | const wxDataViewItem & | parent,
|  | const wxDataViewItem & | item )
| pure virtual

Called by owning model.

Returns
  Always return true from this function in derived classes.

## ◆ ItemsAdded()

virtual bool wxDataViewModelNotifier::ItemsAdded | ( | const wxDataViewItem & | parent,
|  | const wxDataViewItemArray & | items )
| virtual

Called by owning model.

Returns
  Always return true from this function in derived classes.

## ◆ ItemsChanged()

virtual bool wxDataViewModelNotifier::ItemsChanged | ( | const wxDataViewItemArray & | items | ) |
| virtual

Called by owning model.

Returns
  Always return true from this function in derived classes.

## ◆ ItemsDeleted()

virtual bool wxDataViewModelNotifier::ItemsDeleted | ( | const wxDataViewItem & | parent,
|  | const wxDataViewItemArray & | items )
| virtual

Called by owning model.

Returns
  Always return true from this function in derived classes.

## ◆ Resort()

virtual void wxDataViewModelNotifier::Resort | ( |  | ) |
| pure virtual

Called by owning model.

## ◆ SetOwner()

void wxDataViewModelNotifier::SetOwner | ( | wxDataViewModel * | owner | ) |

Set owner of this notifier.

Used internally.

## ◆ ValueChanged()

virtual bool wxDataViewModelNotifier::ValueChanged | ( | const wxDataViewItem & | item,
|  | unsigned int | col )
| pure virtual

Called by owning model.

Returns
  Always return true from this function in derived classes.